import { type JSX } from '../../stencil-public-runtime';
import type { DetailsAPI, DetailsCallbacksPropType, DetailsStates, DisabledPropType, FocusableElement, HeadingLevel, KolFocusOptions, LabelPropType } from '../../schema';
export declare class KolDetails implements DetailsAPI, FocusableElement {
    protected readonly host?: HTMLKolDetailsElement;
    private readonly id;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLKolButtonWcElement>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private toggleTimeout?;
    private handleOnClick;
    render(): JSX.Element;
    _disabled?: boolean;
    _label: LabelPropType;
    _level?: HeadingLevel;
    _on?: DetailsCallbacksPropType<boolean>;
    _open?: boolean;
    state: DetailsStates;
    validateDisabled(value?: DisabledPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(on?: DetailsCallbacksPropType<boolean>): void;
    validateOpen(value?: boolean): void;
    componentWillLoad(): void;
}
